Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network222.80.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
222.80.0.0
Broadcast address
222.87.255.255
First usable
222.80.0.1
Last usable
222.87.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
C (default /24)
As numbers
Hex DE500000 · Integer 3729784832 to 3730309119
Reverse DNS zones
80.222.in-addr.arpa
81.222.in-addr.arpa
82.222.in-addr.arpa
83.222.in-addr.arpa
84.222.in-addr.arpa
85.222.in-addr.arpa
86.222.in-addr.arpa
87.222.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011110.01010000.00000000.00000000222.80.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11011110.01010000.00000000.00000000222.80.0.0
Broadcast11011110.01010111.11111111.11111111222.87.255.255
Split into smaller subnets/21

222.80.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1222.80.0.0/21222.80.0.1 to 222.80.7.254222.80.7.2552,046
2222.80.8.0/21222.80.8.1 to 222.80.15.254222.80.15.2552,046
3222.80.16.0/21222.80.16.1 to 222.80.23.254222.80.23.2552,046
4222.80.24.0/21222.80.24.1 to 222.80.31.254222.80.31.2552,046
5222.80.32.0/21222.80.32.1 to 222.80.39.254222.80.39.2552,046
6222.80.40.0/21222.80.40.1 to 222.80.47.254222.80.47.2552,046
7222.80.48.0/21222.80.48.1 to 222.80.55.254222.80.55.2552,046
8222.80.56.0/21222.80.56.1 to 222.80.63.254222.80.63.2552,046
9222.80.64.0/21222.80.64.1 to 222.80.71.254222.80.71.2552,046
10222.80.72.0/21222.80.72.1 to 222.80.79.254222.80.79.2552,046
11222.80.80.0/21222.80.80.1 to 222.80.87.254222.80.87.2552,046
12222.80.88.0/21222.80.88.1 to 222.80.95.254222.80.95.2552,046
13222.80.96.0/21222.80.96.1 to 222.80.103.254222.80.103.2552,046
14222.80.104.0/21222.80.104.1 to 222.80.111.254222.80.111.2552,046
15222.80.112.0/21222.80.112.1 to 222.80.119.254222.80.119.2552,046
16222.80.120.0/21222.80.120.1 to 222.80.127.254222.80.127.2552,046
17222.80.128.0/21222.80.128.1 to 222.80.135.254222.80.135.2552,046
18222.80.136.0/21222.80.136.1 to 222.80.143.254222.80.143.2552,046
19222.80.144.0/21222.80.144.1 to 222.80.151.254222.80.151.2552,046
20222.80.152.0/21222.80.152.1 to 222.80.159.254222.80.159.2552,046
21222.80.160.0/21222.80.160.1 to 222.80.167.254222.80.167.2552,046
22222.80.168.0/21222.80.168.1 to 222.80.175.254222.80.175.2552,046
23222.80.176.0/21222.80.176.1 to 222.80.183.254222.80.183.2552,046
24222.80.184.0/21222.80.184.1 to 222.80.191.254222.80.191.2552,046
25222.80.192.0/21222.80.192.1 to 222.80.199.254222.80.199.2552,046
26222.80.200.0/21222.80.200.1 to 222.80.207.254222.80.207.2552,046
27222.80.208.0/21222.80.208.1 to 222.80.215.254222.80.215.2552,046
28222.80.216.0/21222.80.216.1 to 222.80.223.254222.80.223.2552,046
29222.80.224.0/21222.80.224.1 to 222.80.231.254222.80.231.2552,046
30222.80.232.0/21222.80.232.1 to 222.80.239.254222.80.239.2552,046
31222.80.240.0/21222.80.240.1 to 222.80.247.254222.80.247.2552,046
32222.80.248.0/21222.80.248.1 to 222.80.255.254222.80.255.2552,046
33222.81.0.0/21222.81.0.1 to 222.81.7.254222.81.7.2552,046
34222.81.8.0/21222.81.8.1 to 222.81.15.254222.81.15.2552,046
35222.81.16.0/21222.81.16.1 to 222.81.23.254222.81.23.2552,046
36222.81.24.0/21222.81.24.1 to 222.81.31.254222.81.31.2552,046
37222.81.32.0/21222.81.32.1 to 222.81.39.254222.81.39.2552,046
38222.81.40.0/21222.81.40.1 to 222.81.47.254222.81.47.2552,046
39222.81.48.0/21222.81.48.1 to 222.81.55.254222.81.55.2552,046
40222.81.56.0/21222.81.56.1 to 222.81.63.254222.81.63.2552,046
41222.81.64.0/21222.81.64.1 to 222.81.71.254222.81.71.2552,046
42222.81.72.0/21222.81.72.1 to 222.81.79.254222.81.79.2552,046
43222.81.80.0/21222.81.80.1 to 222.81.87.254222.81.87.2552,046
44222.81.88.0/21222.81.88.1 to 222.81.95.254222.81.95.2552,046
45222.81.96.0/21222.81.96.1 to 222.81.103.254222.81.103.2552,046
46222.81.104.0/21222.81.104.1 to 222.81.111.254222.81.111.2552,046
47222.81.112.0/21222.81.112.1 to 222.81.119.254222.81.119.2552,046
48222.81.120.0/21222.81.120.1 to 222.81.127.254222.81.127.2552,046
49222.81.128.0/21222.81.128.1 to 222.81.135.254222.81.135.2552,046
50222.81.136.0/21222.81.136.1 to 222.81.143.254222.81.143.2552,046
51222.81.144.0/21222.81.144.1 to 222.81.151.254222.81.151.2552,046
52222.81.152.0/21222.81.152.1 to 222.81.159.254222.81.159.2552,046
53222.81.160.0/21222.81.160.1 to 222.81.167.254222.81.167.2552,046
54222.81.168.0/21222.81.168.1 to 222.81.175.254222.81.175.2552,046
55222.81.176.0/21222.81.176.1 to 222.81.183.254222.81.183.2552,046
56222.81.184.0/21222.81.184.1 to 222.81.191.254222.81.191.2552,046
57222.81.192.0/21222.81.192.1 to 222.81.199.254222.81.199.2552,046
58222.81.200.0/21222.81.200.1 to 222.81.207.254222.81.207.2552,046
59222.81.208.0/21222.81.208.1 to 222.81.215.254222.81.215.2552,046
60222.81.216.0/21222.81.216.1 to 222.81.223.254222.81.223.2552,046
61222.81.224.0/21222.81.224.1 to 222.81.231.254222.81.231.2552,046
62222.81.232.0/21222.81.232.1 to 222.81.239.254222.81.239.2552,046
63222.81.240.0/21222.81.240.1 to 222.81.247.254222.81.247.2552,046
64222.81.248.0/21222.81.248.1 to 222.81.255.254222.81.255.2552,046
65222.82.0.0/21222.82.0.1 to 222.82.7.254222.82.7.2552,046
66222.82.8.0/21222.82.8.1 to 222.82.15.254222.82.15.2552,046
67222.82.16.0/21222.82.16.1 to 222.82.23.254222.82.23.2552,046
68222.82.24.0/21222.82.24.1 to 222.82.31.254222.82.31.2552,046
69222.82.32.0/21222.82.32.1 to 222.82.39.254222.82.39.2552,046
70222.82.40.0/21222.82.40.1 to 222.82.47.254222.82.47.2552,046
71222.82.48.0/21222.82.48.1 to 222.82.55.254222.82.55.2552,046
72222.82.56.0/21222.82.56.1 to 222.82.63.254222.82.63.2552,046
73222.82.64.0/21222.82.64.1 to 222.82.71.254222.82.71.2552,046
74222.82.72.0/21222.82.72.1 to 222.82.79.254222.82.79.2552,046
75222.82.80.0/21222.82.80.1 to 222.82.87.254222.82.87.2552,046
76222.82.88.0/21222.82.88.1 to 222.82.95.254222.82.95.2552,046
77222.82.96.0/21222.82.96.1 to 222.82.103.254222.82.103.2552,046
78222.82.104.0/21222.82.104.1 to 222.82.111.254222.82.111.2552,046
79222.82.112.0/21222.82.112.1 to 222.82.119.254222.82.119.2552,046
80222.82.120.0/21222.82.120.1 to 222.82.127.254222.82.127.2552,046
81222.82.128.0/21222.82.128.1 to 222.82.135.254222.82.135.2552,046
82222.82.136.0/21222.82.136.1 to 222.82.143.254222.82.143.2552,046
83222.82.144.0/21222.82.144.1 to 222.82.151.254222.82.151.2552,046
84222.82.152.0/21222.82.152.1 to 222.82.159.254222.82.159.2552,046
85222.82.160.0/21222.82.160.1 to 222.82.167.254222.82.167.2552,046
86222.82.168.0/21222.82.168.1 to 222.82.175.254222.82.175.2552,046
87222.82.176.0/21222.82.176.1 to 222.82.183.254222.82.183.2552,046
88222.82.184.0/21222.82.184.1 to 222.82.191.254222.82.191.2552,046
89222.82.192.0/21222.82.192.1 to 222.82.199.254222.82.199.2552,046
90222.82.200.0/21222.82.200.1 to 222.82.207.254222.82.207.2552,046
91222.82.208.0/21222.82.208.1 to 222.82.215.254222.82.215.2552,046
92222.82.216.0/21222.82.216.1 to 222.82.223.254222.82.223.2552,046
93222.82.224.0/21222.82.224.1 to 222.82.231.254222.82.231.2552,046
94222.82.232.0/21222.82.232.1 to 222.82.239.254222.82.239.2552,046
95222.82.240.0/21222.82.240.1 to 222.82.247.254222.82.247.2552,046
96222.82.248.0/21222.82.248.1 to 222.82.255.254222.82.255.2552,046
97222.83.0.0/21222.83.0.1 to 222.83.7.254222.83.7.2552,046
98222.83.8.0/21222.83.8.1 to 222.83.15.254222.83.15.2552,046
99222.83.16.0/21222.83.16.1 to 222.83.23.254222.83.23.2552,046
100222.83.24.0/21222.83.24.1 to 222.83.31.254222.83.31.2552,046
101222.83.32.0/21222.83.32.1 to 222.83.39.254222.83.39.2552,046
102222.83.40.0/21222.83.40.1 to 222.83.47.254222.83.47.2552,046
103222.83.48.0/21222.83.48.1 to 222.83.55.254222.83.55.2552,046
104222.83.56.0/21222.83.56.1 to 222.83.63.254222.83.63.2552,046
105222.83.64.0/21222.83.64.1 to 222.83.71.254222.83.71.2552,046
106222.83.72.0/21222.83.72.1 to 222.83.79.254222.83.79.2552,046
107222.83.80.0/21222.83.80.1 to 222.83.87.254222.83.87.2552,046
108222.83.88.0/21222.83.88.1 to 222.83.95.254222.83.95.2552,046
109222.83.96.0/21222.83.96.1 to 222.83.103.254222.83.103.2552,046
110222.83.104.0/21222.83.104.1 to 222.83.111.254222.83.111.2552,046
111222.83.112.0/21222.83.112.1 to 222.83.119.254222.83.119.2552,046
112222.83.120.0/21222.83.120.1 to 222.83.127.254222.83.127.2552,046
113222.83.128.0/21222.83.128.1 to 222.83.135.254222.83.135.2552,046
114222.83.136.0/21222.83.136.1 to 222.83.143.254222.83.143.2552,046
115222.83.144.0/21222.83.144.1 to 222.83.151.254222.83.151.2552,046
116222.83.152.0/21222.83.152.1 to 222.83.159.254222.83.159.2552,046
117222.83.160.0/21222.83.160.1 to 222.83.167.254222.83.167.2552,046
118222.83.168.0/21222.83.168.1 to 222.83.175.254222.83.175.2552,046
119222.83.176.0/21222.83.176.1 to 222.83.183.254222.83.183.2552,046
120222.83.184.0/21222.83.184.1 to 222.83.191.254222.83.191.2552,046
121222.83.192.0/21222.83.192.1 to 222.83.199.254222.83.199.2552,046
122222.83.200.0/21222.83.200.1 to 222.83.207.254222.83.207.2552,046
123222.83.208.0/21222.83.208.1 to 222.83.215.254222.83.215.2552,046
124222.83.216.0/21222.83.216.1 to 222.83.223.254222.83.223.2552,046
125222.83.224.0/21222.83.224.1 to 222.83.231.254222.83.231.2552,046
126222.83.232.0/21222.83.232.1 to 222.83.239.254222.83.239.2552,046
127222.83.240.0/21222.83.240.1 to 222.83.247.254222.83.247.2552,046
128222.83.248.0/21222.83.248.1 to 222.83.255.254222.83.255.2552,046
129222.84.0.0/21222.84.0.1 to 222.84.7.254222.84.7.2552,046
130222.84.8.0/21222.84.8.1 to 222.84.15.254222.84.15.2552,046
131222.84.16.0/21222.84.16.1 to 222.84.23.254222.84.23.2552,046
132222.84.24.0/21222.84.24.1 to 222.84.31.254222.84.31.2552,046
133222.84.32.0/21222.84.32.1 to 222.84.39.254222.84.39.2552,046
134222.84.40.0/21222.84.40.1 to 222.84.47.254222.84.47.2552,046
135222.84.48.0/21222.84.48.1 to 222.84.55.254222.84.55.2552,046
136222.84.56.0/21222.84.56.1 to 222.84.63.254222.84.63.2552,046
137222.84.64.0/21222.84.64.1 to 222.84.71.254222.84.71.2552,046
138222.84.72.0/21222.84.72.1 to 222.84.79.254222.84.79.2552,046
139222.84.80.0/21222.84.80.1 to 222.84.87.254222.84.87.2552,046
140222.84.88.0/21222.84.88.1 to 222.84.95.254222.84.95.2552,046
141222.84.96.0/21222.84.96.1 to 222.84.103.254222.84.103.2552,046
142222.84.104.0/21222.84.104.1 to 222.84.111.254222.84.111.2552,046
143222.84.112.0/21222.84.112.1 to 222.84.119.254222.84.119.2552,046
144222.84.120.0/21222.84.120.1 to 222.84.127.254222.84.127.2552,046
145222.84.128.0/21222.84.128.1 to 222.84.135.254222.84.135.2552,046
146222.84.136.0/21222.84.136.1 to 222.84.143.254222.84.143.2552,046
147222.84.144.0/21222.84.144.1 to 222.84.151.254222.84.151.2552,046
148222.84.152.0/21222.84.152.1 to 222.84.159.254222.84.159.2552,046
149222.84.160.0/21222.84.160.1 to 222.84.167.254222.84.167.2552,046
150222.84.168.0/21222.84.168.1 to 222.84.175.254222.84.175.2552,046
151222.84.176.0/21222.84.176.1 to 222.84.183.254222.84.183.2552,046
152222.84.184.0/21222.84.184.1 to 222.84.191.254222.84.191.2552,046
153222.84.192.0/21222.84.192.1 to 222.84.199.254222.84.199.2552,046
154222.84.200.0/21222.84.200.1 to 222.84.207.254222.84.207.2552,046
155222.84.208.0/21222.84.208.1 to 222.84.215.254222.84.215.2552,046
156222.84.216.0/21222.84.216.1 to 222.84.223.254222.84.223.2552,046
157222.84.224.0/21222.84.224.1 to 222.84.231.254222.84.231.2552,046
158222.84.232.0/21222.84.232.1 to 222.84.239.254222.84.239.2552,046
159222.84.240.0/21222.84.240.1 to 222.84.247.254222.84.247.2552,046
160222.84.248.0/21222.84.248.1 to 222.84.255.254222.84.255.2552,046
161222.85.0.0/21222.85.0.1 to 222.85.7.254222.85.7.2552,046
162222.85.8.0/21222.85.8.1 to 222.85.15.254222.85.15.2552,046
163222.85.16.0/21222.85.16.1 to 222.85.23.254222.85.23.2552,046
164222.85.24.0/21222.85.24.1 to 222.85.31.254222.85.31.2552,046
165222.85.32.0/21222.85.32.1 to 222.85.39.254222.85.39.2552,046
166222.85.40.0/21222.85.40.1 to 222.85.47.254222.85.47.2552,046
167222.85.48.0/21222.85.48.1 to 222.85.55.254222.85.55.2552,046
168222.85.56.0/21222.85.56.1 to 222.85.63.254222.85.63.2552,046
169222.85.64.0/21222.85.64.1 to 222.85.71.254222.85.71.2552,046
170222.85.72.0/21222.85.72.1 to 222.85.79.254222.85.79.2552,046
171222.85.80.0/21222.85.80.1 to 222.85.87.254222.85.87.2552,046
172222.85.88.0/21222.85.88.1 to 222.85.95.254222.85.95.2552,046
173222.85.96.0/21222.85.96.1 to 222.85.103.254222.85.103.2552,046
174222.85.104.0/21222.85.104.1 to 222.85.111.254222.85.111.2552,046
175222.85.112.0/21222.85.112.1 to 222.85.119.254222.85.119.2552,046
176222.85.120.0/21222.85.120.1 to 222.85.127.254222.85.127.2552,046
177222.85.128.0/21222.85.128.1 to 222.85.135.254222.85.135.2552,046
178222.85.136.0/21222.85.136.1 to 222.85.143.254222.85.143.2552,046
179222.85.144.0/21222.85.144.1 to 222.85.151.254222.85.151.2552,046
180222.85.152.0/21222.85.152.1 to 222.85.159.254222.85.159.2552,046
181222.85.160.0/21222.85.160.1 to 222.85.167.254222.85.167.2552,046
182222.85.168.0/21222.85.168.1 to 222.85.175.254222.85.175.2552,046
183222.85.176.0/21222.85.176.1 to 222.85.183.254222.85.183.2552,046
184222.85.184.0/21222.85.184.1 to 222.85.191.254222.85.191.2552,046
185222.85.192.0/21222.85.192.1 to 222.85.199.254222.85.199.2552,046
186222.85.200.0/21222.85.200.1 to 222.85.207.254222.85.207.2552,046
187222.85.208.0/21222.85.208.1 to 222.85.215.254222.85.215.2552,046
188222.85.216.0/21222.85.216.1 to 222.85.223.254222.85.223.2552,046
189222.85.224.0/21222.85.224.1 to 222.85.231.254222.85.231.2552,046
190222.85.232.0/21222.85.232.1 to 222.85.239.254222.85.239.2552,046
191222.85.240.0/21222.85.240.1 to 222.85.247.254222.85.247.2552,046
192222.85.248.0/21222.85.248.1 to 222.85.255.254222.85.255.2552,046
193222.86.0.0/21222.86.0.1 to 222.86.7.254222.86.7.2552,046
194222.86.8.0/21222.86.8.1 to 222.86.15.254222.86.15.2552,046
195222.86.16.0/21222.86.16.1 to 222.86.23.254222.86.23.2552,046
196222.86.24.0/21222.86.24.1 to 222.86.31.254222.86.31.2552,046
197222.86.32.0/21222.86.32.1 to 222.86.39.254222.86.39.2552,046
198222.86.40.0/21222.86.40.1 to 222.86.47.254222.86.47.2552,046
199222.86.48.0/21222.86.48.1 to 222.86.55.254222.86.55.2552,046
200222.86.56.0/21222.86.56.1 to 222.86.63.254222.86.63.2552,046
201222.86.64.0/21222.86.64.1 to 222.86.71.254222.86.71.2552,046
202222.86.72.0/21222.86.72.1 to 222.86.79.254222.86.79.2552,046
203222.86.80.0/21222.86.80.1 to 222.86.87.254222.86.87.2552,046
204222.86.88.0/21222.86.88.1 to 222.86.95.254222.86.95.2552,046
205222.86.96.0/21222.86.96.1 to 222.86.103.254222.86.103.2552,046
206222.86.104.0/21222.86.104.1 to 222.86.111.254222.86.111.2552,046
207222.86.112.0/21222.86.112.1 to 222.86.119.254222.86.119.2552,046
208222.86.120.0/21222.86.120.1 to 222.86.127.254222.86.127.2552,046
209222.86.128.0/21222.86.128.1 to 222.86.135.254222.86.135.2552,046
210222.86.136.0/21222.86.136.1 to 222.86.143.254222.86.143.2552,046
211222.86.144.0/21222.86.144.1 to 222.86.151.254222.86.151.2552,046
212222.86.152.0/21222.86.152.1 to 222.86.159.254222.86.159.2552,046
213222.86.160.0/21222.86.160.1 to 222.86.167.254222.86.167.2552,046
214222.86.168.0/21222.86.168.1 to 222.86.175.254222.86.175.2552,046
215222.86.176.0/21222.86.176.1 to 222.86.183.254222.86.183.2552,046
216222.86.184.0/21222.86.184.1 to 222.86.191.254222.86.191.2552,046
217222.86.192.0/21222.86.192.1 to 222.86.199.254222.86.199.2552,046
218222.86.200.0/21222.86.200.1 to 222.86.207.254222.86.207.2552,046
219222.86.208.0/21222.86.208.1 to 222.86.215.254222.86.215.2552,046
220222.86.216.0/21222.86.216.1 to 222.86.223.254222.86.223.2552,046
221222.86.224.0/21222.86.224.1 to 222.86.231.254222.86.231.2552,046
222222.86.232.0/21222.86.232.1 to 222.86.239.254222.86.239.2552,046
223222.86.240.0/21222.86.240.1 to 222.86.247.254222.86.247.2552,046
224222.86.248.0/21222.86.248.1 to 222.86.255.254222.86.255.2552,046
225222.87.0.0/21222.87.0.1 to 222.87.7.254222.87.7.2552,046
226222.87.8.0/21222.87.8.1 to 222.87.15.254222.87.15.2552,046
227222.87.16.0/21222.87.16.1 to 222.87.23.254222.87.23.2552,046
228222.87.24.0/21222.87.24.1 to 222.87.31.254222.87.31.2552,046
229222.87.32.0/21222.87.32.1 to 222.87.39.254222.87.39.2552,046
230222.87.40.0/21222.87.40.1 to 222.87.47.254222.87.47.2552,046
231222.87.48.0/21222.87.48.1 to 222.87.55.254222.87.55.2552,046
232222.87.56.0/21222.87.56.1 to 222.87.63.254222.87.63.2552,046
233222.87.64.0/21222.87.64.1 to 222.87.71.254222.87.71.2552,046
234222.87.72.0/21222.87.72.1 to 222.87.79.254222.87.79.2552,046
235222.87.80.0/21222.87.80.1 to 222.87.87.254222.87.87.2552,046
236222.87.88.0/21222.87.88.1 to 222.87.95.254222.87.95.2552,046
237222.87.96.0/21222.87.96.1 to 222.87.103.254222.87.103.2552,046
238222.87.104.0/21222.87.104.1 to 222.87.111.254222.87.111.2552,046
239222.87.112.0/21222.87.112.1 to 222.87.119.254222.87.119.2552,046
240222.87.120.0/21222.87.120.1 to 222.87.127.254222.87.127.2552,046
241222.87.128.0/21222.87.128.1 to 222.87.135.254222.87.135.2552,046
242222.87.136.0/21222.87.136.1 to 222.87.143.254222.87.143.2552,046
243222.87.144.0/21222.87.144.1 to 222.87.151.254222.87.151.2552,046
244222.87.152.0/21222.87.152.1 to 222.87.159.254222.87.159.2552,046
245222.87.160.0/21222.87.160.1 to 222.87.167.254222.87.167.2552,046
246222.87.168.0/21222.87.168.1 to 222.87.175.254222.87.175.2552,046
247222.87.176.0/21222.87.176.1 to 222.87.183.254222.87.183.2552,046
248222.87.184.0/21222.87.184.1 to 222.87.191.254222.87.191.2552,046
249222.87.192.0/21222.87.192.1 to 222.87.199.254222.87.199.2552,046
250222.87.200.0/21222.87.200.1 to 222.87.207.254222.87.207.2552,046
251222.87.208.0/21222.87.208.1 to 222.87.215.254222.87.215.2552,046
252222.87.216.0/21222.87.216.1 to 222.87.223.254222.87.223.2552,046
253222.87.224.0/21222.87.224.1 to 222.87.231.254222.87.231.2552,046
254222.87.232.0/21222.87.232.1 to 222.87.239.254222.87.239.2552,046
255222.87.240.0/21222.87.240.1 to 222.87.247.254222.87.247.2552,046
256222.87.248.0/21222.87.248.1 to 222.87.255.254222.87.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses